Xposed for Lollipop

Search This thread

bweN diorD

Senior Member
Jun 12, 2011
3,820
2,140
we can use this thread for discussion about xposed for lollipop (when we get it) on our device, rather than spamming numerous other threads with it.
i will try to keep useful links updated below, as i find them, or you guys/gals send them to me.


official thread http://forum.xda-developers.com/showthread.php?t=3034811
work around for stock lollipop http://forum.xda-developers.com/lg-g3/general/how-to-xposed-running-properly-stock-t3030261
flashable zip to make selinux permissive http://forum.xda-developers.com/showpost.php?p=59056954&postcount=36
fix crashing apps http://forum.xda-developers.com/lg-g3/general/how-to-xposed-running-properly-stock-t3030261
 
Last edited:

bweN diorD

Senior Member
Jun 12, 2011
3,820
2,140
Thank you for making this thread !!

np :)

as far as amplify, the module will need an update i believe. it should have pulled some wakelocks by now, and still shows none. these issues are to be expected with some modules as described by rovo89.

g3 tweaksbox is not compatible with L, fyi
 
Last edited:
  • Like
Reactions: Kris Nelson
R

random571

Guest
I agree about amplify incompatibility - it runs but no wakelocks are registering. I'm at about 50%(4 of 8) of module functionality. I'm sure things will work better in time when devs push updates out, but 50% is still a good start. :good:
 

ohlin5

Senior Member
Feb 24, 2012
910
358
Verizon Blows, USA
Anyone here happen to be running a CM12 nightly? No luck here getting xposed to work on mine so far....flashed the zip and installed the apk, then modules and reboots, and the modules and app still give errors saying it's not installed. Even succeeded in getting the app to prompt me for root which I granted, and refreshed the zip in recovery immediately afterwards and still nothing. Same error as a bunch of people posted on the main thread, esp. in the first few pages that I saw.
 
  • Like
Reactions: bweN diorD

rp201

Senior Member
Dec 18, 2010
415
51
np :)

as far as amplify, the module will need an update i believe. it should have pulled some wakelocks by now, and still shows none. these issues are to be expected with some modules as described by rovo89.

g3 tweaksbox is not compatible with L, fyi

running greenify and amplify and "unspecififed music-mod" module on cm12 dated 1/15/2015. (as a secondary rom in multi rom... if that makes a difference) ;)
woking like a champ with no sign of errors.

Updated: amplify not working. no errors but also no wakelocks
 
Last edited:
  • Like
Reactions: bweN diorD
R

random571

Guest
Anyone here happen to be running a CM12 nightly? No luck here getting xposed to work on mine so far....flashed the zip and installed the apk, then modules and reboots, and the modules and app still give errors saying it's not installed. Even succeeded in getting the app to prompt me for root which I granted, and refreshed the zip in recovery immediately afterwards and still nothing. Same error as a bunch of people posted on the main thread, esp. in the first few pages that I saw.
I ended up changing my selinux status(not sure if I had to but saw it in a post), installing the apk, rebooting into recovery and flashing the zip, then once it booted up I opened the xposed installer and under 'framework' choose soft reboot. The error message went away after it rebooted and my modules installed after that, but only if I did a soft reboot. Anytime I did a full reboot my modules stopped functioning until I soft rebooted again. Error messages still appear but the modules do actually work.
I'm on blisspop so hopefully cm has the same solution for you. Good luck.
 

ohlin5

Senior Member
Feb 24, 2012
910
358
Verizon Blows, USA
I ended up changing my selinux status(not sure if I had to but saw it in a post), installing the apk, rebooting into recovery and flashing the zip, then once it booted up I opened the xposed installer and under 'framework' choose soft reboot. The error message went away after it rebooted and my modules installed after that, but only if I did a soft reboot. Anytime I did a full reboot my modules stopped functioning until I soft rebooted again. Error messages still appear but the modules do actually work.
I'm on blisspop so hopefully cm has the same solution for you. Good luck.
Very interesting, well thanks for the heads up! I'll have to try this out.
 
  • Like
Reactions: bweN diorD

bweN diorD

Senior Member
Jun 12, 2011
3,820
2,140
If you read rovo's comments, you will find him saying there are some false errors that will get fixed eventually. This is an alpha build to get all the issues that need to be fixed reported so he can work them out before he releases the stable build.
 
  • Like
Reactions: roirraW "edor" ehT
R

random571

Guest
I didn't have to do anything with SELinux. Just installed a module, activated it, and rebooted.
Which ROM? I just downloaded illusion 5.5 and it has selinux set at permissive as default...
Screenshot_2015-02-14-10-38-23.jpg
Blisspop is enforcing by default.
 
R

random571

Guest
For sh*ts and giggles I downloaded illusion 5.5 which is permissive by default, set it to enforcing, and xposed will not work...
Screenshot_2015-02-14-11-19-48.png
Once I set it back to permissive it worked again.
Screenshot_2015-02-14-11-21-24.png
 

Top Liked Posts

  • There are no posts matching your filters.
  • 5
    we can use this thread for discussion about xposed for lollipop (when we get it) on our device, rather than spamming numerous other threads with it.
    i will try to keep useful links updated below, as i find them, or you guys/gals send them to me.


    official thread http://forum.xda-developers.com/showthread.php?t=3034811
    work around for stock lollipop http://forum.xda-developers.com/lg-g3/general/how-to-xposed-running-properly-stock-t3030261
    flashable zip to make selinux permissive http://forum.xda-developers.com/showpost.php?p=59056954&postcount=36
    fix crashing apps http://forum.xda-developers.com/lg-g3/general/how-to-xposed-running-properly-stock-t3030261
    5
    FWIW, I'm on SkyDragon 6 (built off 35B) and Xposed is working fine with Flat Style Bar Indicators & G3 Tweaksbox (alpha in testing for 35B/5.1, not publicly available but in testing). Since some had cautioned that Xposed wasn't working with Jasmine, I backed up my SD install prior to installing Xposed just in case, then installed separately through recovery. Since installing, I've had no problems at all, though I do not use Android Pay, so can't speak to that.

    There are reports of it working fine on both Jasmine & SkyDragon. Remember, you must use the proper Xposed installer file for 5.1. For our device, which is: xposed-v75-sdk22-arm.zip. Get it here.

    If I were a betting man, I'd wager those whose Xposed installs are broken likely dirty flashed the new ROM versions, which won't work because Xposed for 5.0 and 5.1 are different. That's the only way I could see it being messed up, because it checks for Android version prior to flashing when being installed.
    3
    I've made a flashable zip that changes your existing kernel command line parameters to include selinux permissive without modifying the existing kernel (using boot splitting binaries from the 777 kernel installer). Verified working on cm12, stock kernel and 777 kernel. For others, you'll have to test. To revert, will need to dirty flash rom (flashing only the kernel doesn't modify parameters in most cases).
    https://www.dropbox.com/s/3rdlxkrkjl9afxe/makepermissive.zip?dl=0
    2
    installed fine on illusion. only activated amplify so far to test basic functionality. amplify says all is good on the exposed end, too early to tell if the module is actually working properly though.
    2
    I'm truly amazed at how well this works. I figured it would be months before we even saw Xposed on 5.0 in alpha stage. All my favorite modules work too :)
Our Apps
Get our official app!
The best way to access XDA on your phone
Nav Gestures
Add swipe gestures to any Android
One Handed Mode
Eases uses one hand with your phone